Get Companies
Retrieve a paginated list of companies for the tenant. Each row is filtered to the same public fields as Get Company by UUID for OAuth clients.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
vnd.a1.tenant-id
Tenant identifier for multi-tenant environments
Query parameters
page
Page number to retrieve. Starts from 1.
limit
Maximum number of records to return per page.
search
Search keyword to filter companies.
isEnabled
Filter by enabled status.
searchCol
Column to search on.
Allowed values:
searchVal
Value to search for in searchCol.
sortColumn
Field to sort results by.
sortOrder
Sort direction.
Allowed values:
include
Comma-separated list of field paths to include in each row (e.g. uuid,name).
Response
Successful Response
rows
totalCount
Total number of matching companies.
currentPage
limit
totalPages
